# HG changeset patch
# Node ID 7838dd7edc56e82af35a5f1233f74667ea21df0c
# Parent  9e329eab0f9de0ef0389b4ad5c7cfa810f65623e
diff --git a/libpurple/purplemessage.c b/libpurple/purplemessage.c
--- a/libpurple/purplemessage.c
+++ b/libpurple/purplemessage.c
@@ -513,89 +513,6 @@
 		NULL);
 }
 
-PurpleMessage *
-purple_message_new_outgoing(const char *author, const char *contents,
-                            PurpleMessageFlags flags)
-{
-	PurpleMessage *message = NULL;
-	GDateTime *dt = NULL;
-
-	g_warn_if_fail(!(flags & PURPLE_MESSAGE_RECV));
-	g_warn_if_fail(!(flags & PURPLE_MESSAGE_SYSTEM));
-
-	flags |= PURPLE_MESSAGE_SEND;
-	dt = g_date_time_new_now_local();
-
-	/* who may be NULL for outgoing MUC messages */
-	message = g_object_new(
-		PURPLE_TYPE_MESSAGE,
-		"author", author,
-		"contents", contents,
-		"timestamp", dt,
-		"flags", flags,
-		NULL);
-
-	g_date_time_unref(dt);
-
-	return message;
-}
-
-PurpleMessage *
-purple_message_new_incoming(const char *who, const char *contents,
-                            PurpleMessageFlags flags, guint64 timestamp)
-{
-	PurpleMessage *message = NULL;
-	GDateTime *dt = NULL;
-
-	g_warn_if_fail(!(flags & PURPLE_MESSAGE_SEND));
-	g_warn_if_fail(!(flags & PURPLE_MESSAGE_SYSTEM));
-
-	flags |= PURPLE_MESSAGE_RECV;
-
-	if(timestamp == 0) {
-		dt = g_date_time_new_now_local();
-	} else {
-		dt = g_date_time_new_from_unix_local((gint64)timestamp);
-	}
-
-	message = g_object_new(
-		PURPLE_TYPE_MESSAGE,
-		"author", who,
-		"author-alias", who,
-		"contents", contents,
-		"timestamp", dt,
-		"flags", flags,
-		NULL);
-
-	g_date_time_unref(dt);
-
-	return message;
-}
-
-PurpleMessage *
-purple_message_new_system(const char *contents, PurpleMessageFlags flags) {
-	PurpleMessage *message = NULL;
-	GDateTime *dt = NULL;
-
-	g_warn_if_fail(!(flags & PURPLE_MESSAGE_SEND));
-	g_warn_if_fail(!(flags & PURPLE_MESSAGE_RECV));
-
-	flags |= PURPLE_MESSAGE_SYSTEM;
-	dt = g_date_time_new_now_local();
-
-	message = g_object_new(
-		PURPLE_TYPE_MESSAGE,
-		"contents", contents,
-		"timestamp", dt,
-		"flags", flags,
-		"system", TRUE,
-		NULL);
-
-	g_date_time_unref(dt);
-
-	return message;
-}
-
 gboolean
 purple_message_get_action(PurpleMessage *message) {
 	g_return_val_if_fail(PURPLE_IS_MESSAGE(message), FALSE);
diff --git a/libpurple/purplemessage.h b/libpurple/purplemessage.h
--- a/libpurple/purplemessage.h
+++ b/libpurple/purplemessage.h
@@ -105,58 +105,6 @@
 PurpleMessage *purple_message_new(PurpleContactInfo *author, const char *contents);
 
 /**
- * purple_message_new_outgoing:
- * @author: The author.
- * @contents: The contents.
- * @flags: The #PurpleMessageFlags.
- *
- * Creates new outgoing message to @recipient.
- *
- * You don't need to set the #PURPLE_MESSAGE_SEND flag.  If the message is not
- * plain text be sure to call purple_message_set_content_type().
- *
- * Returns: (transfer full): The new #PurpleMessage instance.
- *
- * Since: 3.0
- */
-PURPLE_DEPRECATED_FOR(purple_message_new)
-PurpleMessage *purple_message_new_outgoing(const char *author, const char *contents, PurpleMessageFlags flags);
-
-/**
- * purple_message_new_incoming:
- * @who: Message's author.
- * @contents: The contents of a message.
- * @flags: The message flags.
- * @timestamp: The time of transmitting a message. May be 0 for a current time.
- *
- * Creates new incoming message (the user is the recipient).
- *
- * You don't need to set the #PURPLE_MESSAGE_RECV flag.
- *
- * Returns: the new #PurpleMessage.
- *
- * Since: 3.0
- */
-PURPLE_DEPRECATED_FOR(purple_message_new)
-PurpleMessage *purple_message_new_incoming(const char *who, const char *contents, PurpleMessageFlags flags, guint64 timestamp);
-
-/**
- * purple_message_new_system:
- * @contents: The contents of a message.
- * @flags: The message flags.
- *
- * Creates new system message.
- *
- * You don't need to set the #PURPLE_MESSAGE_SYSTEM flag.
- *
- * Returns: the new #PurpleMessage.
- *
- * Since: 3.0
- */
-PURPLE_DEPRECATED_FOR(purple_message_new)
-PurpleMessage *purple_message_new_system(const char *contents, PurpleMessageFlags flags);
-
-/**
  * purple_message_get_action:
  * @message: The instance.
  *
